
struct Vert{
    vec4 pos;
    vec4 color;
};

uniform Vert* drawer_3d_buff;

out vec3 out_pos;
out vec4 color;

void main() {
    vec3 pos = drawer_3d_buff[gl_VertexID].pos.xyz;
    color = drawer_3d_buff[gl_VertexID].color;
    out_pos = pos;

    gl_Position = P * V * vec4(pos,1.0);
}
